Duke4.net Forums: HRP Issues Thread - Duke4.net Forums

Jump to content

Hide message Show message
Welcome to the Duke4.net Forums!

Register an account now to get access to all board features. After you've registered and logged in, you'll be able to create topics, post replies, send and receive private messages, disable the viewing of ads and more!

  • 12 Pages +
  • « First
  • 8
  • 9
  • 10
  • 11
  • 12
  • You cannot start a new topic
  • You cannot reply to this topic

HRP Issues Thread  "Post your HRP Problems/Issues here"

User is offline   lusan 

  • 0

#271

I didn't mean to insult em sorry if it looked like that. I have a lot of respect from their amazing work (Duke Nukem 3D is my 2nd fav game ever next to Carmageddon) and the HRP was the best thing that could happen to this awesome game.
I already fixed the problem (I used notepad to check the issues in the code), I removed those vids already so again thanks and keep up the good work HRP guys and please don't keep thiose ugly gun models and enemies in the hrp they looked way better on the previous versions plus they have lots of graphical bugs on my pc at least.

This post has been edited by lusan: 30 April 2013 - 10:38 AM

0

User is offline   LeoD 

  • 476

#272

View Postlusan, on 30 April 2013 - 10:37 AM, said:

... lots of graphical bugs on my pc at least.
Sounds like you're using the Polymost renderer instead of Polymer. If your PC can't handle Polymer you're better off adding the Polymost HRP Override Pack to your autoload folder.

Polymost HRP / Z-Pack: customize your HRP | User Map Maphacks
"Redneck Rampage has chickens. If you put a chicken in Duke3D then it's Duke3D with a chicken."
0

User is offline   NightFright 

  • The Truth is in here
  • 820

#273

Since two or three days ago, displaying HUD weapon models won't work for me any more, and I can't find what's causing it. I was playing "Last Reaction", and one evening when I loaded EDuke32, bam, didn't work any more. When turning off models, sprites would show up just fine. Right now, I can only see which weapon model is selected if I use r_drawweapon "2" (show icons only). I am not aware of having messed around with console commands or anything. Also, deleting all .cfg files didn't change anything. Reverting to an earlier EDuke32 version (was using r3714 before it happened, the day it did I used r3717) also didn't help.

*EDIT*
Seems it was an issue with EDuke32, it's fixed with builds r3722 and newer. Thanks, guys! ^^


This post has been edited by NightFright: 01 May 2013 - 11:47 AM

0

User is offline   Blues22475 

  • 0

#274

I have a quick question: is there some kind of system requirements page for the HRP mod? I've been looking around for awhile and was wondering so I can see if my system can run HRP with Polymer Renderer.

Current Spec I have on my system:
CPU: AMD Phenom II X4 965 3.2 GHz
GPU: NVIDIA GTX 660ti

I notice (and have read about) the FPS never really goes about 30fps. Apparently this is normal behavior (though I have seen folks post videos about it and the framerate looks great on the system). I am pretty sure AMD is dooming me in this case.

This post has been edited by Blues22475: 01 July 2013 - 06:33 AM

0

User is offline   NightFright 

  • The Truth is in here
  • 820

#275

I guess this should indeed be added to the HRP site. However, requirements rather tend to increase with new EDuke32 features and HRP updates (higher resolutions used for textures, models with more polygons etc). Difficult to say which system would actually be enough to properly run Polymer with all features enabled, and I can hardly use mine as a reference (which is Intel Core i7/2.66 GHz, 12GB RAM, nvidia Geforce 670 GTX). That one would definitely be enough, of course (however, if maps are too huge, framerate would still drop into the cellar - even without HRP).

Maybe some people with less powerful rigs can state how HRP runs for them so we have some reference. Spontaneously, my guess would be that you should have at least a dual-core CPU (this should be standard by now, anyway), 2 GHz or higher, with let's say 2-3 GB RAM and a Geforce GTX 460 (or AMD equivalent). Whether that's enough for full details in Polymer with "modern" resolutions like 1920x1200 is hard to say without test results. If anyone has a similar configuration, it would be interesting to know. Software and Polymost requirements should be considerably lower.


This post has been edited by NightFright: 03 July 2013 - 12:17 PM

0

User is offline   Blues22475 

  • 0

#276

Ok thanks for that (I upgraded from a 460 to a 660ti not long ago). Your response gives me some kind of idea to go with. I did buy the Megaton Edition and started running that with EDuke. Not entirely sure if here's a difference between the Megaton (aside from the expansions) and Duke 3D say you bought from GOG. I will also try polymer without the HRP just to see what kind of effect it has on my system.

Edit:

Ran without using the HRP using Polymer and had no issues whatsoever. Guess it has something to do with HRP and my machine doesn't like it unless anyone has any other results.

This post has been edited by Blues22475: 05 July 2013 - 04:49 PM

0

User is offline   GreatSudoku 

  • 5

#277

I'm having a problem with the polymer/polymost pack. The menu text is either unreadable or completely invisible. And it looks like game textures are missing too once I manage to load the game (going by memory form what the menus say)

I'm using Arch linux. I compiled eduke32 from svn today no problem.

I downloaded version 5.2.413 of the following and put them in my autoload folder:
duke3d_hrp.zip
duke3d_music.zip
duke3d_polymost_hrp_override-5.2.413.zip
z_pack-5.2.413-IITTC.zip

Try as I may, as soon as I get to the menu, I can't see any of the text, it comes up as VERY faint grey boxes if anything at all.

  • I've tried removing the Polymost override and the Z-Pack, so that I'm ONLY running Polymer.

  • I tried this both with and without the flag: -hduke3d_hrp_polymost.def but either way is to no avail, still the missing menu problem.

  • I've tried removing the Z-Pack and deleting textures and textures.cache running a "vanilla" polymost-override, but the menu still comes up blank.


  • I am checking "enable the autoload folder"
  • This issue persists whether or not I check or uncheck "polymer"

Here's my eduke32.log
0

User is offline   LeoD 

  • 476

#278

I see nothing wrong in your log, except ...
OpenGL Information:
 Version:  2.1 Mesa 9.1.3
 Vendor:   Intel Open Source Technology Center
 Renderer: Mesa DRI Mobile Intel® GM45 Express Chipset

AFAIK Intel isn't officially supported by EDuke32. Your problem however reminds me of the ATI issue. Maybe this thread contains some helpful hints for you.

Just to make it clear (it's not obvious if you are aware of it):
The Override Pack's main purpose is to get rid of the -h parameter, making it available to mods and addons.

You could try the following to get a more meaningful log file:
- compile a debug executable (if you haven't already)
- follow my signature, get the HRP update and override packs r5.2.486 from the cutting edge section, and add them to autoload
(I doubt that this changes anything but you never know)
- delete textures and textures.cache
- start the debug executable, check autoload, uncheck Polymer
- start playing the first episode, and then exit the game
- post the newly created log file, eduke32.cfg, and settings.cfg

Polymost HRP / Z-Pack: customize your HRP | User Map Maphacks
"Redneck Rampage has chickens. If you put a chicken in Duke3D then it's Duke3D with a chicken."

This post has been edited by LeoD: 08 July 2013 - 06:04 AM

0

User is offline   Plagman 

  • Former VP of Media Operations
  • 350

#279

Please make sure you install libtxc_dxtn; the default Mesa implementation tries to silently fall back when DXT is used and that doesn't cut it for our on-disk texture cache.

EDuke32 - "The corrupt doctrine of terror has begun."
0

User is offline   GreatSudoku 

  • 5

#280

Using the cutting edge pack gave me lots of errors:


but maybe that's to be expected from a cutting edge build. I seem to remember something back when I was running Debian linux about funkiness with linux being case sensitive where windows was not. I wish I could remember what that was in regards to.

I've also installed lib32-libtxc_dxtn 1.0.1-4 and no change thus far. I do have a question. if I can't read the menu at all, how do I get into options and video? :/

Also if someone would be kind enough to tell me how to compile a debug build from svn I'd be grateful. I'm used to compiling by running the Makefile, is there a flag I add like --debug that builds eduke32 with debugging symbols?
0

User is offline   LeoD 

  • 476

#281

View PostGreatSudoku, on 09 July 2013 - 09:29 PM, said:

Using the cutting edge pack gave me lots of errors.

View PostGreatSudoku, on 07 July 2013 - 12:33 PM, said:

I compiled eduke32 from svn today no problem.
The "maphack" messages are completely harmless but shouldn't show up when running recent EDuke32 executables. Your log, however, shows that you're probably not running the executable you have built:
Compiled Jul  7 2012 12:11:28


View PostGreatSudoku, on 09 July 2013 - 09:29 PM, said:

Also if someone would be kind enough to tell me how to compile a debug build from svn I'd be grateful.

make RELEASE=0


View PostGreatSudoku, on 09 July 2013 - 09:29 PM, said:

if I can't read the menu at all, how do I get into options and video? :/
You can still edit eduke32.cfg and settings.cfg manually. The EDukeWiki should provide the information you need.

Polymost HRP / Z-Pack: customize your HRP | User Map Maphacks
"Redneck Rampage has chickens. If you put a chicken in Duke3D then it's Duke3D with a chicken."
0

User is offline   GreatSudoku 

  • 5

#282

Thanks I've completely nuked the eduke32 svn folder and grabbed the entire code from scratch. That fixed the compile date issue

This is my log when going into Hollywood Holocaust

Now the fun part.. From the thread you mentioned to me, it mentions setting a "TEXTURE FILTER" value.

On the page detailing how to edit .cfg files, I see lots of "GL TEXTURE" variables to play with, but none explicitly called FILTER. They also seem to be Boolean variables as well.

Am I missing something incredibly simple here in the editing of eduke32.cfg? Aomething like adding a line to the [Screen Setup] section along the lines of TextureFilter = Linear ?

This is what my eduke32.cfg looks like
and this is what my settings.cfg looks like

I just wasn't able to find which file to edit and which variable to use via text editing to alter the texture filter
0

User is offline   LeoD 

  • 476

#283

View PostGreatSudoku, on 13 July 2013 - 01:26 PM, said:

This is what my eduke32.cfg looks like
We're getting closer. Your eduke32.cfg:
ConfigVersion = 240

My eduke32.cfg:
ConfigVersion = 279

IIRC the EDuke32 repository has been moved some time ago. Maybe your local repo points to the old address. The current version is r3958 at http://svn.eduke32.com/eduke32/

View PostGreatSudoku, on 13 July 2013 - 01:26 PM, said:

I see lots of "GL TEXTURE" variables to play with, but none explicitly called FILTER. They also seem to be Boolean variables as well.

Half of the CFG parameters are a mystery to me as well, so this would be the point for the big guys to step in...

Polymost HRP / Z-Pack: customize your HRP | User Map Maphacks
"Redneck Rampage has chickens. If you put a chicken in Duke3D then it's Duke3D with a chicken."
0

User is offline   GreatSudoku 

  • 5

#284

View PostLeoD, on 15 July 2013 - 06:38 AM, said:

We're getting closer. Your eduke32.cfg:
ConfigVersion = 240

My eduke32.cfg:
ConfigVersion = 279

IIRC the EDuke32 repository has been moved some time ago. Maybe your local repo points to the old address. The current version is r3958 at http://svn.eduke32.com/eduke32/


Half of the CFG parameters are a mystery to me as well, so this would be the point for the big guys to step in...


Thanks, I was pointing at an old repository. I've updated the repository, compiled and replaced the binary, which looks slightly different now when the eudke32 window pops up. However now while eduke32 pops up, when I run the game, no game window at all pops up. I let it run for nearly 24 hours and nada. eduke32.cfg remains unchanged. Regardless of if I have the old eduke32.cfg and setting.cfg it just hangs and never gets the game to load. here's my eduke32.log
0

User is offline   GreatSudoku 

  • 5

#285

View PostGreatSudoku, on 19 July 2013 - 08:17 AM, said:

Thanks, I was pointing at an old repository. I've updated the repository, compiled and replaced the binary, which looks slightly different now when the eudke32 window pops up. However now while eduke32 pops up, when I run the game, no game window at all pops up. I let it run for nearly 24 hours and nada. eduke32.cfg remains unchanged. Regardless of if I have the old eduke32.cfg and setting.cfg it just hangs and never gets the game to load. here's my eduke32.log

update removed everything except the duke3d_hrp.zip from autoload and I got the game window to come up. Running straight polymer mode. Again no menu text and when I started the game the level looked completely black.

here's my eduke32.log

new setting.cfg

I'm guessing it has something to do with
gltexinvalidateall()
gltexinvalidateall()


maybe time for the big boys to help as Leo suggested?

This post has been edited by GreatSudoku: 19 July 2013 - 08:33 AM

0

User is offline   Plagman 

  • Former VP of Media Operations
  • 350

#286

The texinvalidate spew is expected, it just spews whenever there's a global palette change in the game. What's your setup again? Note that if you're building EDuke32 for 32-bit you'll need a 32-bit flavor of libtxc-dxtn installed.

EDuke32 - "The corrupt doctrine of terror has begun."
0

User is offline   GreatSudoku 

  • 5

#287

View PostPlagman, on 28 July 2013 - 10:54 PM, said:

The texinvalidate spew is expected, it just spews whenever there's a global palette change in the game. What's your setup again? Note that if you're building EDuke32 for 32-bit you'll need a 32-bit flavor of libtxc-dxtn installed.


64 Bit Arch Linux (Manjaro)
Kenrel:
3.9.11-1-MANJARO #1 SMP PREEMPT Mon Jul 22 18:35:03 UTC 2013 x86_64 GNU/Linux 


lib32-libtxc_dxtn 1.0.1-5 is installed on my system

video card output from lspci -v:
0:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device 0142
	Flags: bus master, fast devsel, latency 0, IRQ 45
	Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915 


I know that hardware is capable of running eduke32 quite well, it performed admirably under Debian linux. I'm thinking it's something quirky with Arch Linux or there's some dependency somewhere i missed, or some setting somewhere that needs tweaked.
0

User is offline   Plagman 

  • Former VP of Media Operations
  • 350

#288

Yeah, EDuke32 definitely runs well on this kind of hardware and a recent Mesa (eg. 9+). Try disabling texture compression by adding a "r_texcompr 0" line to ~/.eduke32/settings.cfg?

EDuke32 - "The corrupt doctrine of terror has begun."
0

User is offline   GreatSudoku 

  • 5

#289

View PostPlagman, on 29 July 2013 - 05:43 PM, said:

Yeah, EDuke32 definitely runs well on this kind of hardware and a recent Mesa (eg. 9+). Try disabling texture compression by adding a "r_texcompr 0" line to ~/.eduke32/settings.cfg?



Bingo, you nailed it! It's working now. Amazing! Thank you so much
0

User is offline   Plagman 

  • Former VP of Media Operations
  • 350

#290

So that seems to imply your libtxc installation was not sane; you probably only had the AMD64 flavor?

EDuke32 - "The corrupt doctrine of terror has begun."
0

User is offline   GreatSudoku 

  • 5

#291

View PostPlagman, on 02 August 2013 - 05:29 PM, said:

So that seems to imply your libtxc installation was not sane; you probably only had the AMD64 flavor?


quite the contrary I have the 32-bit version installed (lib32-libtxc_dxtn 1.0.1-5)
but the 64bit version libtxc_dxtn is not installed. Might that be the issue?
0

User is offline   Skyrilla 

  • 0

#292

Hello :wub: ,

I'm rather new here but I have an issue that someone else seemed to have before to which Mr. LeoD had ''answered'', well, I mean he told the guy to refer to a guide?

Anyway, using my Megaton Edition from Steam, I've installed the latest eDuke and HRP, and put Duke Plus in last.

You may have guessed it. Yeah. I can't see the Devastator. I mean I can see the gun laying around but not when I hold it. Where is this ''guide'' that'll help me? Thanks!


PS: Is there a way to customize the Megaton Edition with HRP and Plus, and play it with Steam so I can get the achievements?

This post has been edited by Skyrilla: 06 August 2013 - 11:50 AM

0

User is offline   Plagman 

  • Former VP of Media Operations
  • 350

#293

View PostGreatSudoku, on 04 August 2013 - 07:54 PM, said:

quite the contrary I have the 32-bit version installed (lib32-libtxc_dxtn 1.0.1-5)
but the 64bit version libtxc_dxtn is not installed. Might that be the issue?


If you built EDuke32 to be native AMD64, yes. You need a flavor that matches EDuke32, since it'll want to link directly against it (through Mesa).

EDuke32 - "The corrupt doctrine of terror has begun."
0

User is offline   Skyrilla 

  • 0

#294

View PostSkyrilla, on 06 August 2013 - 08:41 AM, said:

Hello :wub: ,

I'm rather new here but I have an issue that someone else seemed to have before to which Mr. LeoD had ''answered'', well, I mean he told the guy to refer to a guide?

Anyway, using my Megaton Edition from Steam, I've installed the latest eDuke and HRP, and put Duke Plus in last.

You may have guessed it. Yeah. I can't see the Devastator. I mean I can see the gun laying around but not when I hold it. Where is this ''guide'' that'll help me? Thanks!


PS: Is there a way to customize the Megaton Edition with HRP and Plus, and play it with Steam so I can get the achievements?



Well, bumping for a response.
0

User is offline   Plagman 

  • Former VP of Media Operations
  • 350

#295

It might be a compatibility problem between the new Devastator model in the HRP and Duke Plus? I'd check the Duke Plus thread to see if it was ever mentioned and ask about it if it wasn't.

EDuke32 - "The corrupt doctrine of terror has begun."
0

User is offline   Skyrilla 

  • 0

#296

View PostPlagman, on 06 August 2013 - 05:07 PM, said:

It might be a compatibility problem between the new Devastator model in the HRP and Duke Plus? I'd check the Duke Plus thread to see if it was ever mentioned and ask about it if it wasn't.


So there IS a Plus thread after all? Crap I've been looking for something like that but couldn't find any... I wanted to not look like someone who just registers and asks questions off the bat. Sorry! B)
0

User is offline   GreatSudoku 

  • 5

#297

View PostPlagman, on 06 August 2013 - 11:34 AM, said:

If you built EDuke32 to be native AMD64, yes. You need a flavor that matches EDuke32, since it'll want to link directly against it (through Mesa).


Thanks, I was building it natively for X86_64. Adding the 64 bit flavor of libtxc_dxtn allows me to take the compression statement out of settings.cfg. I've also re-upped on svn and rebuilt eduke32 without debugging symbols this time. Thanks a bunch.
0

User is offline   David B. 

  • 134

#298

I don't know why I have troubles with the new HRP 5.3 Pack when I'm loading a map or an episode.
The map loading is stopped after less than 70% and it closes every things and go back to windows.
Here is what I get in the .log file, the last lines are the most interesting cause nothing relevant before.
Before to install this new pack, I had cleaned everything. All old files were deleted (excepted the original grp file).
I ran the exe file but also unzipped the eduke32....zip joined with. So what is wrong ?


[...]
Load skin: p252-e0 "highres/sprites/monsters/1680_trooper_gear_n.png"... 95 ms
Load skin: p0-e0 "highres/sprites/monsters/2000_pigcop.png"... 19 ms
Load skin: p0-e0 "highres/sprites/jibs/2264_gibs.png"... 10 ms
Load skin: p0-e0 "highres/sprites/jibs/2264_gibs.png"... 10 ms
Failed loading skin file "highres/sprites/firstperson/duke_hand_d.png": error -1
OUT OF MEMORY in daskinloader!
Uninitializing DirectDraw...
Switching keyboard layout from 00000000 to 0000080C

0

User is offline   LeoD 

  • 476

#299

View PostDavid B., on 30 September 2013 - 11:51 AM, said:

I don't know why I have troubles with the new HRP 5.3 Pack when I'm loading a map or an episode.
Happens with every map? Please post the full log as attachment. And do the same for the debug executable (although I don't expect any news there).

EDIT:

View PostHelixhorned, on 22 September 2011 - 08:59 AM, said:

Try 'r_memcache 0' in the console and restarting EDuke32.


Polymost HRP / Z-Pack: customize your HRP | User Map Maphacks
"Redneck Rampage has chickens. If you put a chicken in Duke3D then it's Duke3D with a chicken."

This post has been edited by LeoD: 30 September 2013 - 01:44 PM

0

User is offline   Spiker 

  • 257

#300

I got the same error with Sharpnel City by DanM when runnning the map with Polymer, after a few seconds of play the game crashed.

Looks like those alien bastards drank all my beer.
0

Share this topic:


  • 12 Pages +
  • « First
  • 8
  • 9
  • 10
  • 11
  • 12
  • You cannot start a new topic
  • You cannot reply to this topic


All copyrights and trademarks are property of their respective owners. Instead of reading this text, you could be playing Ion Maiden! ;) © 2018 Voidpoint, LLC

Enter your sign in name and password


Sign in options